Plesk\backup\Agent\Schema\Backup\RoleType\LimitsAndPermissionsAType\ServicePermissionAType:
    properties:
        classname:
            expose: true
            access_type: public_method
            serialized_name: classname
            accessor:
                getter: getClassname
                setter: setClassname
            xml_attribute: true
            type: string
        description:
            expose: true
            access_type: public_method
            serialized_name: description
            accessor:
                getter: getDescription
                setter: setDescription
            xml_attribute: true
            type: string
        externalId:
            expose: true
            access_type: public_method
            serialized_name: externalId
            accessor:
                getter: getExternalId
                setter: setExternalId
            xml_attribute: true
            type: string
        permissionCode:
            expose: true
            access_type: public_method
            serialized_name: permissionCode
            accessor:
                getter: getPermissionCode
                setter: setPermissionCode
            xml_attribute: true
            type: string
        class:
            expose: true
            access_type: public_method
            serialized_name: class
            accessor:
                getter: getClass
                setter: setClass
            xml_attribute: true
            type: string
        value:
            expose: true
            access_type: public_method
            serialized_name: value
            accessor:
                getter: getValue
                setter: setValue
            xml_attribute: true
            type: string
